apiVersion: v1
kind: Secret
metadata:
  name: central-storage-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.centralStorage.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.centralStorage.configs.appName | b64enc | quote }}
  ENVIRONMENT: {{ .Values.global.environment | default .Release.Namespace | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.centralStorage.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.centralStorage.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.centralStorage.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.centralStorage.configs.mongodbPort | toString | b64enc }}
  METRICS_ENABLED: {{ .Values.centralStorage.configs.metricsEnabled | default false | toString | b64enc }}
  PROBES_ENABLED: {{ .Values.centralStorage.configs.probesEnabled | default false | toString | b64enc }}
  {{- if .Values.centralStorage.configs.debugMode }}
  DEBUG_MODE: {{ .Values.centralStorage.configs.debugMode | toString | b64enc }}
  {{- end }}
  LOG_BASE_PATH: {{ .Values.logIngest.logPath | b64enc | quote }}
  BACKEND_LOG_FILE_NAME: {{ .Values.centralStorage.configs.appName | b64enc | quote }}
  APPLICATION_ACTIVITY_LOG: {{ .Values.centralStorage.configs.appName | printf "%s-activity" | b64enc | quote }}